Filter errors
Total occurrences Sort ascending Total affected Topmost group Category Message
56 48 projects 500 info.yml/composer.json Add core_version_requirement: ^8 || ^9 to designate that the module is compatible with Drupal 9. See https://drupal.org/node/3070687.
20 12 projects 10000 Covered by rector Call to deprecated function drupal_set_message(). Deprecated in drupal:8.5.0 and is removed from drupal:9.0.0. Use Drupal​\​Core​\​Messenger​\​MessengerInterface::addMessage() instead.
8 2 projects 10000 Non-Drupal core deprecation Call to deprecated function drush_get_option().
5 2 projects 10000 Covered by rector Call to deprecated function db_select(). Deprecated in drupal:8.0.0 and is removed from drupal:9.0.0. Instead, get a database connection injected into your service from the container and call select() on it. For example,
5 3 projects 10000 Covered by rector Call to deprecated method entityManager() of class Drupal. Deprecated in drupal:8.0.0 and is removed from drupal:9.0.0. Use Drupal::entityTypeManager() instead in most cases. If the needed method is not on ​\​Drupal​\​Core​\​Entity​\​EntityTypeManagerInterface, see the deprecated ​\​Drupal​\​Core​\​Entity​\​EntityManager to find the correct interface or service.
4 follow_unfollow 1.x-dev 10000 Covered by rector Call to deprecated method format() of class Drupal​\​Component​\​Utility​\​SafeMarkup. Deprecated in drupal:8.0.0 and is removed from drupal:9.0.0. Use Drupal​\​Component​\​Render​\​FormattableMarkup.
4 follow_unfollow 1.x-dev 10000 Non-Drupal core deprecation Call to method format() of deprecated class Drupal​\​Component​\​Utility​\​SafeMarkup: Will be removed before Drupal 9.0.0. Use the appropriate
3 3 projects 10000 Non-Drupal core deprecation The drupal/core requirement is not compatible with the next major version of Drupal. Either remove it or update it to be compatible. See https://drupal.org/node/2514612#s-drupal-9-compatibility.
3 custom_configuration 2.x-dev 10000 Not covered by rector Call to deprecated function db_field_exists(). Deprecated in drupal:8.0.0 and is removed from drupal:9.0.0. Instead, get a database connection injected into your service from the container, get its schema driver, and call fieldExists() on it. For example,
2 odoo_api 2.x-dev 10000 Non-Drupal core deprecation Call to deprecated function drush_log().
2 paysera_commerce 1.0.x-dev 10000 Non-Drupal core deprecation Class Drupal​\​commerce_checkout​\​Plugin​\​Commerce​\​CheckoutPane​\​CheckoutPaneBase not found.
2 kashmir 1.x-dev 10000 Non-Drupal core deprecation Call to deprecated function drush_print().
2 paysera_commerce 1.0.x-dev 10000 Non-Drupal core deprecation Class Drupal​\​commerce_payment​\​Plugin​\​Commerce​\​PaymentGateway​\​OffsitePaymentGatewayBase not found.
2 yml_export 1.x-dev 10000 Covered by rector Call to deprecated method l() of class [redacted]. Deprecated in drupal:8.0.0 and is removed from drupal:9.0.0. Use Drupal​\​Core​\​Link::fromTextAndUrl() instead.
2 yml_export 1.x-dev 10000 Not covered by rector Call to deprecated function entity_load_multiple(). Deprecated in drupal:8.0.0 and is removed from drupal:9.0.0. Use the entity type storage's loadMultiple() method.
2 paysera_commerce 1.0.x-dev 10000 Non-Drupal core deprecation Class Drupal​\​commerce_payment​\​PluginForm​\​PaymentOffsiteForm not found.
2 commerce_equiv_weight 1.x-dev 10000 Non-Drupal core deprecation Class Drupal​\​physical​\​Plugin​\​Field​\​FieldFormatter​\​MeasurementDefaultFormatter not found.
2 efap 2.x-dev 10000 Non-Drupal core deprecation Class Drupal​\​Console​\​Core​\​Generator​\​Generator not found.
2 efap 2.x-dev 10000 Non-Drupal core deprecation Class Drupal​\​Console​\​Core​\​Command​\​ContainerAwareCommand not found.
2 owasp_compliant_login_velocity_check 1.x-dev 10000 Covered by rector Call to deprecated function db_query(). Deprecated in drupal:8.0.0 and is removed from drupal:9.0.0. Instead, get a database connection injected into your service from the container and call query() on it. For example,
1 homebox 2.x-dev 10000 Not covered by rector The 'draggable-blocks' library is depending on a deprecated library. The "core/jquery.ui.droppable" asset library is deprecated in drupal:8.8.0 and is removed from drupal:9.0.0. See https://www.drupal.org/node/3067969
1 flipbook 1.x-dev 10000 Not covered by rector Call to deprecated function file_upload_max_size(). Deprecated in drupal:8.7.0 and is removed from drupal:9.0.0. Use Drupal​\​Component​\​Utility​\​Environment::getUploadMaxSize() instead.
1 corporatelogin 8.9 10000 Not covered by rector Call to deprecated function db_like(). Deprecated in drupal:8.0.0 and is removed from drupal:9.0.0. Instead, get a database connection injected into your service from the container and call escapeLike() on it. For example,
1 corporatelogin 8.9 10000 Covered by rector Call to deprecated function db_insert(). Deprecated in drupal:8.0.0 and is removed from drupal:9.0.0. Instead, get a database connection injected into your service from the container and call insert() on it. For example,
1 auto_username 1.x-dev 10000 Covered by rector Call to deprecated method strlen() of class Drupal​\​Component​\​Utility​\​Unicode. Deprecated in drupal:8.6.0 and is removed from drupal:9.0.0. Use mb_strlen() instead.
1 auto_username 1.x-dev 10000 Covered by rector Call to deprecated method strtolower() of class Drupal​\​Component​\​Utility​\​Unicode. Deprecated in drupal:8.6.0 and is removed from drupal:9.0.0. Use mb_strtolower() instead.
1 paragraphs_report 1.x-dev 10000 Not covered by rector Call to deprecated function pager_default_initialize(). Deprecated in drupal:8.8.0 and is removed from drupal:9.0.0. Use Drupal​\​Core​\​Pager​\​PagerManagerInterface->defaultInitialize() instead.
1 odoo_api 2.x-dev 10000 Non-Drupal core deprecation Instantiation of deprecated class Http​\​Message​\​MessageFactory​\​GuzzleMessageFactory: This will be removed in php-http/message2.0. Consider using the official Guzzle PSR-17 factory
1 flipbook 1.x-dev 10000 Covered by rector Call to deprecated method link() of class Drupal​\​Core​\​Entity​\​EntityInterface. Deprecated in drupal:8.0.0 and is removed from drupal:9.0.0. Use Drupal​\​Core​\​EntityInterface::toLink()->toString() instead.
1 kashmir 1.x-dev 10000 Non-Drupal core deprecation Call to deprecated function drush_copy_dir(): Use ​\​Symfony​\​Component​\​Filesystem​\​Filesystem::copy.